### Enumeration

# Vips ForeignKeep

#### Declaration

    flags Vips.ForeignKeep

#### Description [src]

Which metadata to retain.

#### Members

`VIPS_FOREIGN_KEEP_NONE`

  Don’t attach metadata.

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_EXIF`

  Keep Exif metadata.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_XMP`

  Keep XMP metadata.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_IPTC`

  Keep IPTC metadata.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_ICC`

  Keep ICC metadata.

  - Value: `8`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_OTHER`

  Keep other metadata (e.g. PNG comments).

  - Value: `16`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_GAINMAP`

  Keep the gainmap metadata.

  - Value: `32`
  - Available since: 8.0
`VIPS_FOREIGN_KEEP_ALL`

  Keep all metadata.

  - Value: `63`
  - Available since: 8.0